## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_with bootstrap
%if %{without bootstrap}
%bcond_without check
%else
%bcond_with check
%endif

# https://github.com/containernetworking/cni
%global goipath         github.com/containernetworking/cni
Version:                1.1.1

%gometa

# Workaround cyclical dependency on github.com/containernetworking/plugins.
%if %{without bootstrap}
%global goipaths0       %{goipath}
%global goipathsex0    %{goipath}/plugins/debug
%global godevelheader0  %{expand:
# Obsolete version before the split of %%{goipath}/plugins/debug
Obsoletes:      golang-github-containernetworking-cni-devel < 1.1.0-1}
%endif

%global goipaths1       %{goipath}/plugins/debug
%global godevelheader1  %{expand:
# Obsolete version before the split of %%{goipath}/plugins/debug
Obsoletes:      golang-github-containernetworking-cni-devel < 1.1.0-1}

%global common_description %{expand:
Container Network Interface - networking for Linux containers.}

%global golicenses      LICENSE
%global godocs          GOVERNANCE.md README.md CONTRIBUTING.md CODE-OF-\\\
                        CONDUCT.md CONVENTIONS.md RELEASING.md SPEC.md\\\
                        ROADMAP.md cnitool-README.md Documentation/cnitool.md\\\
                        Documentation/spec-upgrades.md\\\
                        plugins-debug-README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Container Network Interface - networking for Linux containers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/cnitool %{goipath}/cnitool

%install
%gopkginstall
install -m 0755 -vd                           %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/cnitool %{buildroot}%{_bindir}/

# Prevent README filename clashes
mv plugins/debug/README.md plugins-debug-README.md
mv cnitool/README.md cnitool-README.md

%if %{with check}
%check
# Disable tests that require `go mod` functionality
rm -vf libcni/backwards_compatibility_test.go pkg/invoke/get_version_integration_test.go
%gocheck -d pkg/version/testhelpers
%endif

%files
%license LICENSE
%doc GOVERNANCE.md README.md CONTRIBUTING.md CODE-OF-CONDUCT.md CONVENTIONS.md
%doc RELEASING.md SPEC.md ROADMAP.md cnitool-README.md Documentation/cnitool.md
%doc Documentation/spec-upgrades.md plugins-debug-README.md
%{_bindir}/cnitool

%gopkgfiles

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.1.1-11
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.1.1-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.1-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Mon Jun 06 2022 Maxwell G <gotmax@e.email> - 1.1.1-3
- Fix %%%%autorelease.

* Sun Jun 05 2022 Maxwell G <gotmax@e.email> - 1.1.1-1
- Bump release

* Sat Jun 04 2022 Maxwell G <gotmax@e.email> - 1.1.1-0
- Update to 1.1.1.

* Sun May 08 2022 Maxwell G <gotmax@e.email> 1.1.0-1
- Update to 1.1.0. Fixes rhbz#1925700.
- Workaround cyclical dependency on github.com/containernetworking/plugins.

* Tue Jan 25 2022 Maxwell G <gotmax@e.email> 1.0.1-1
- Update to 1.0.1. Fixes rhbz#1925700.
- Regenerate specfile

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 18:19:28 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 04 23:22:57 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Initial package


